Subject: Re: bug#22146: Stack overflow in reftex-parse-all

From: David Kastrup <[email-masked]>
Date: Sat, 12 Dec 2015 11:05:12 +0100

Mosè Giordano <[email-masked]> writes:

> I'm not completely sure how to fix a "Stack overflow in regexp
> matcher" error: the problem is that it matches nothing or too much?

It has incomplete matches in too many different ways.  Something like

.*.*

is a trivial example of stuff that can usually match in too many
different ways.  A nice regexp is one where each character of an
incomplete match is only a candidate for a single component of the
regexp.

An ugly regexp is one where adding one character to the match grows the
possibly match/pattern correspondences by more than one repeatedly.

-- 
David Kastrup